%define	module	Mail-Graph
%define	name	perl-%{module}
%define	version	0.14
%define	release	1mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-GD
BuildRequires:	perl-GD-Graph
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-Date-Calc
# (misc) these modules are checked by the Makefile, but they 
# are not need to compile.
#BuildRequires:	perl-Mime-Tools
#BuildRequires:	perl-Mail-MboxParser
BuildRequires:	perl-devel
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc CHANGES CREDITS README TODO
%{perl_vendorlib}/Mail/Graph.pm
%{_mandir}/man3*/*

%changelog
* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14-1mdk
- 0.14
- drop PREFIX and use %%makeinstall_std
- fix standard-dir-owned-by-package
- cosmetics

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.10-2mdk
- BuildRequires
 
* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- initial cooker contrib.
